Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Interface Member

All Known Subinterfaces:
  Field, Method, Type<T>

All Known Implementing Classes:
  Abs.Type, Acos.Type, AdditionalArrange.Type, AlgorithmSwitchShader.Type, AllFilter.Type, AmbientLight.Type, Arc.Type, AreaLight.Type, ArrangeLOD.Type, Asin.Type, Atan.Type, AutoregressiveTexture.Type, BernoulliProbability.Type, BetaprimeProbability.Type, BetaProbability.Type, BezierCurve.Type, BezierSurface.Type, BinomialProbability.Type, BlackbodySPD.Type, BlackbodySpectralCurve.Type, BoundedType, BSplineCurveImpl.Type, BSplineOfVertices.Type, BSplineSurfaceImpl.Type, Camera.Type, CauchyProbability.Type, Ceil.Type, Chain.Type, ChannelSPD.Type, ChisquareProbability.Type, Circle.Type, Circular.Type, ClassAdapter, ComponentTransform.Type, ConstantSPD.Type, ConstantSpectralCurve.Type, Cos.Type, Cosh.Type, Cubic.Type, Curve.Type, CurveRef.Type, CurveSequence.Type, CustomFunction.Type, DartThrowing.Type, DatasetRef.Type, DiamondSquareTexture.Type, DirectionalLight.Type, E.Type, Ellipse.Type, EnumerationType, ErlangProbability.Type, Exp.Type, Exp2.Type, Expm1.Type, ExtrudedSurface.Type, FieldBase, FieldDecorator, FileRef.Type, FilterDescriptor.Type, FixedImageAdapter.Type, Floor.Type, FluxLightModel.Type, FluxLightModelTracer.Type, FontAdapter.Type, FProbability.Type, Function.Type, FunctionRef.Type, GammaProbability.Type, GeometricArrange.Type, GeometricProbability.Type, GraphDescriptor.Type, Graytone.Type, GRSMesh.Type, HalftoningArrange.Type, HeightField.Type, HeightFieldMapping.Type, Helix.Type, HornLOD.Type, HydraLOD.Type, Id.Type, ImageAdapter.Type, ImageHeightField.Type, ImageRef.Type, IndirectField, IntersectionType, InvgammaProbability.Type, IOR.Type, IORShader.Type, IrregularSpectralCurve.Type, IsoCurve.Type, ItemReference.Type, Kachelung.Type, LazyType, LensProjection.Type, LightBase.Type, LightDistribution.Type, LightDistributionResource.Type, LightModel.Type, LocationParameterBase.Type, Log.Type, Log10.Type, LogisticProbability.Type, Lognormal2Probability.Type, LognormalProbability.Type, ManageableType, ManageableType.ArrayComponent, ManageableType.Field, MaterialRef.Type, Matrix3dType, Matrix3fType, Matrix4dType, Matrix4fType, MemberBase, MemberDecorator, MetaGraphDescriptor.Type, Navigator3DFactory.Type, NegexpProbability.Type, NetworkHeightField.Type, Node.NType, Node.NType.BitField, Node.NType.Field, NoneFilter.Type, Normal2Probability.Type, NormalProbability.Type, ParallelProjection.Type, ParetoProbability.Type, PascalProbability.Type, PersistenceField, PerspectiveProjection.Type, Phi.Type, PhiBallLOD.Type, PhysicalLight.Type, Pi.Type, PointLight.Type, PoissonProbability.Type, ProbabilityArrange.Type, ProductSurface.Type, ProfileSweep.Type, ProjectGraphDescriptor.Type, Projection.Type, Rad.Type, Ramp.Type, RandomBase.Type, RectangularHeightFieldMapping.Type, Reference.Type, RegularPolygon.Type, RegularSpectralCurve.Type, RGBSpectralCurve.Type, Rnd.Type, Rndabs.Type, RuledSurface.Type, Scallop.Type, SCOType, SCOType.Field, Sequence.Type, ShaderRef.Type, SideSwitchShader.Type, Sin.Type, Sin01.Type, Sinh.Type, SkinnedSurface.Type, SPD.Type, SPDCurve.Type, SPDResource.Type, SpectralLight.Type, SpectralLightMapNode.Type, SphericalHeightFieldMapping.Type, SplineFunction.Type, SpotLight.Type, Sqr.Type, Sqrt.Type, StraightLine.Type, SubGrid.Type, SurfaceRef.Type, Sweep.Type, SweepSequence.Type, SwitchShader.Type, SwungSurface.Type, Tan.Type, Tanh.Type, TreeLOD.Type, Triangle.Type, TstudentProbability.Type, Tuple2dType, Tuple2fType, Tuple3dType, Tuple3fType, Tuple4dType, Tuple4fType, TurtleState.Type, TypeDecorator, TypeImpl, UniformProbability.Type, UniformScale.Type, VertexGridImpl.Type, VertexListImpl.Type, VertexSequence.Type, VertexSetBase.Type, View.Type, View3D.Type, Voronoi_Lloyd.Type, WeibullProbability.Type, XArray, XClass, XField

    public interface Member

`Member` is the superinterface for types, methods, and fields. It describes the common functionality of these interfaces and defines a set of `int` constants which are combined to encode the modifiers of the member.

Author:
  Ole Kniemeyer

Field Summary
`static int` | `ABSTRACT` Modifier for `abstract` members.
`static int` | `ACCESS_MODIFIERS` Mask for the access modifiers `public`, `private`, and `protected`.
`static int` | `ARRAY` Modifier for classes which are arrays.
`static int` | `BRIDGE` Modifier for bridge methods.
`static int` | `CONSTANT` Modifier for fields which are compile-time constants.
`static int` | `FINAL` Modifier for `final` members.
`static int` | `INTERFACE` Modifier indicating that a type is an interface.
`static int` | `JAVA_MODIFIERS` Mask for all modifiers which are valid in the byte-code of classes.
`static int` | `LOCAL_CLASS` Modifier for classes which are local classes.
`static int` | `MIN_UNUSED_MODIFIER` Minimal bit mask which is not defined by this interface.
`static int` | `NATIVE` Modifier for `native` methods.
`static int` | `PRIVATE` Modifier for `private` members.
`static int` | `PROTECTED` Modifier for `protected` members.
`static int` | `PUBLIC` Modifier for `public` members.
`static int` | `STATIC` Modifier for `static` members.
`static int` | `STRICT` Modifier for `strictfp` members.
`static int` | `SYNCHRONIZED` Modifier for `synchronized` methods.
`static int` | `SYNTHETIC` Modifier for synthetic members.
`static int` | `TRANSIENT` Modifier for `transient` fields.
`static int` | `VARARGS` Modifier for variable arity methods.
`static int` | `VOLATILE` Modifier for `volatile` fields.

Method Summary
`Annotation` | `getDeclaredAnnotation(int index)`
`int` | `getDeclaredAnnotationCount()`
`Type` | `getDeclaringType()` Returns the declaring type of which this is a member.
`java.lang.String` | `getDescriptor()` Returns a descriptor for this member.
`int` | `getModifiers()` Returns the modifiers of this member as a combination of the bit masks which are defined in this interface.
`java.lang.String` | `getName()` Returns the name of this member.
`java.lang.String` | `getSimpleName()` Returns the simple name of this member.

Field Detail

### ABSTRACT

    static final int ABSTRACT

  Modifier for `abstract` members.

  See Also:
    Constant Field Values

### ACCESS_MODIFIERS

    static final int ACCESS_MODIFIERS

  Mask for the access modifiers `public`, `private`, and `protected`.

  See Also:
    Constant Field Values

### ARRAY

    static final int ARRAY

  Modifier for classes which are arrays. This modifier is not defined by the Java virtual machine.

  See Also:
    Constant Field Values

### BRIDGE

    static final int BRIDGE

  Modifier for bridge methods.

  See Also:
    Constant Field Values

### CONSTANT

    static final int CONSTANT

  Modifier for fields which are compile-time constants. This modifier is not defined by the Java virtual machine.

  See Also:
    Constant Field Values

### FINAL

    static final int FINAL

  Modifier for `final` members.

  See Also:
    Constant Field Values

### INTERFACE

    static final int INTERFACE

  Modifier indicating that a type is an interface.

  See Also:
    Constant Field Values

### JAVA_MODIFIERS

    static final int JAVA_MODIFIERS

  Mask for all modifiers which are valid in the byte-code of classes.

  See Also:
    Constant Field Values

### LOCAL_CLASS

    static final int LOCAL_CLASS

  Modifier for classes which are local classes. This modifier is not defined by the Java virtual machine.

  See Also:
    Constant Field Values

### MIN_UNUSED_MODIFIER

    static final int MIN_UNUSED_MODIFIER

  Minimal bit mask which is not defined by this interface.

  See Also:
    Constant Field Values

### NATIVE

    static final int NATIVE

  Modifier for `native` methods.

  See Also:
    Constant Field Values

### PRIVATE

    static final int PRIVATE

  Modifier for `private` members.

  See Also:
    Constant Field Values

### PROTECTED

    static final int PROTECTED

  Modifier for `protected` members.

  See Also:
    Constant Field Values

### PUBLIC

    static final int PUBLIC

  Modifier for `public` members.

  See Also:
    Constant Field Values

### STATIC

    static final int STATIC

  Modifier for `static` members.

  See Also:
    Constant Field Values

### STRICT

    static final int STRICT

  Modifier for `strictfp` members.

  See Also:
    Constant Field Values

### SYNCHRONIZED

    static final int SYNCHRONIZED

  Modifier for `synchronized` methods.

  See Also:
    Constant Field Values

### SYNTHETIC

    static final int SYNTHETIC

  Modifier for synthetic members.

  See Also:
    Constant Field Values

### TRANSIENT

    static final int TRANSIENT

  Modifier for `transient` fields.

  See Also:
    Constant Field Values

### VARARGS

    static final int VARARGS

  Modifier for variable arity methods.

  See Also:
    Constant Field Values

### VOLATILE

    static final int VOLATILE

  Modifier for `volatile` fields.

  See Also:
    Constant Field Values

Method Detail

### getDeclaredAnnotation

    Annotation getDeclaredAnnotation(int index)

### getDeclaredAnnotationCount

    int getDeclaredAnnotationCount()

### getDeclaringType

    Type getDeclaringType()

  Returns the declaring type of which this is a member. May be `null` if such a type does not exist.

  Returns:
    this member's declaring type

### getDescriptor

    java.lang.String getDescriptor()

  Returns a descriptor for this member. Descriptors are constructed as follows:
  - For types, descriptors are defined as for the Java Virtual Machine. For primitive types these are the single characters 'Z', 'B', 'S', 'C', 'I', 'J', 'F', 'D', 'V' for `boolean`, `byte`, `short`, `char`, `int`, `long`, `float`, `double`, `void`. For array types, the descriptor is the character '[' plus the descriptor of its component type, e.g., `[[I` for `int[][]`. For non-array reference types, the descriptor is the character 'L', followed by the binary name (see `Type.getBinaryName()`) of the type, where '.' has to be replaced by '/', followed by ';', e.g., `Ljava/lang/Object;`.
  - For fields, the descriptor is the character 'f', followed by the simple name of the field, followed by the character ';', followed by the descriptor of the field's type. E.g., `fout;Ljava/io/PrintStream;` for the field `System.out`.
  - For methods and constructors, the descriptor is the character 'm', followed by the simple name of the method (which is `<init>` for constructors), followed by the characters ';' and '(', followed by the descriptors of the method's parameter types, followed by ')', followed by the descriptor of the return type. E.g. `mprintln;(Ljava/lang/String;)V` for the method `PrintStream.println(String)`.

  Returns:
    the member's descriptor

### getModifiers

    int getModifiers()

  Returns the modifiers of this member as a combination of the bit masks which are defined in this interface.

  Returns:
    modifiers of this member

### getName

    java.lang.String getName()

  Returns the name of this member. For types, this is the canonical name of the type, e.g, `java.lang.Object`, `java.util.Map.Entry`. Otherwise, it equals `getSimpleName()`.

  Returns:
    name of the member

### getSimpleName

    java.lang.String getSimpleName()

  Returns the simple name of this member. This is the single identifier with which the member is declared in source code, e.g., `Object`, `out`, `println`.

  Returns:
    simple name of the member

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD